%define name gbrainy
%define version 2.2.3
%define release %mkrel 1

Summary: A brain teaser game to have fun and to keep your brain trained
Summary(de): Ein Spiel das Spass macht und gleichzeitig das Gehirn trainiert.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://gent.softcatala.org/jmas/gbrainy/%{name}-%{version}.tar.xz
License: GPLv2+
Group: Games/Other
URL: http://live.gnome.org/gbrainy
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-devel 
BuildRequires: mono-addins-devel
BuildRequires: gnome-doc-utils
BuildRequires: gnome-sharp2
BuildRequires: gtk-sharp2-devel 
BuildRequires: glade-sharp2
BuildRequires: librsvg-devel
BuildRequires: perl-XML-Parser 
BuildRequires: intltool
BuildRequires: libpthread-stubs
BuildRequires: desktop-file-utils
Obsoletes: 		%{name} < %version
Requires:		glibc >= 2.12.1
Requires:		libstdc++6 >= 4.5.2
Requires:		%{_lib}mono0


%description
gbrainy is a brain teaser game and trainer written for GNOME using Mono,
C# and Cairo. 

Its mission is to provide a platform for creating different kinds of
brain-teasers and brain trainer games for GNOME.
It provides the following types of games: * Logic puzzles. Games
   designed to challenge your reasoning and thinking skills.

* Mental calculation. Games based on arithmetical operations
   designed to prove your mental calculation skills.

* Memory trainers. Games designed to challenge your short term memory.

%description -l de
gbrainy ist ein Spiel zum Trainieren des Gehirns, geschrieben für GNOME unter 
Verwendung von Mono, C# und Cairo.

Die Mission des Programms ist es eine Plattform zu bieten, für die 
verschiedenen Arten von Reizen, die das Gehirn beeinflussen und ein Gehirntrainerspiel für GNOME.
Es bietet die folgenden Spieletypen:

* Logikpuzzels. Spiele die Ihr logisches Denken fördern.

* Kopfrechnen. Spiele die auf arithmetischen Operationen basieren
  und dadurch Ihre Kopfrechenfähigkeiten fördern.

* Gedächtnistrainer. Spiele die das Kurzzeitgedächtnis trainieren.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x

%make

%install
rm -rf %buildroot
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name}


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
%{update_menus}


%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,-,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_libexecdir}/%name/%name.exe
%{_libexecdir}/%name/%name.exe.config
%{_libexecdir}/%name/%name.Core.dll
%{_libexecdir}/%name/%name.Core.dll.config
%{_libexecdir}/%name/%name.Games.dll
%exclude %{_libdir}/pkgconfig/gbrainy.pc
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man6/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/pixmaps/*
%{_datadir}/games/%{name}
%{_datadir}/gnome/help/gbrainy

%changelog
* Mon Dec 22 2014 ghostbunny <ghostbunny at gmx dot de> 2.2.3-1pclos2014
- 2.2.3
- add BR libpthread-stubs, desktop-file-utils

* Thu May 23 2013 ghostbunny <ghostbunny at gmx dot de> 2.2.0-1pclos2013
- 2.2.0

* Tue Oct 09 2012 Neal <nealbrks0 at gmail dot com> 2.1.5-1pclos2012
- process

* Tue Oct 09 2012 ghostbunny <ghostbunny at gmx dot de> 2.1.5-1pclos2012
- 2.1.5

* Thu Aug 30 2012 Neal <nealbrks0 at gmail dot com> 2.1.4-2pclos2012
- process

* Thu Aug 30 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 2.1.4-2_archie_2012
- rebuild

* Sun Jul 01 2012 Neal <nealbrks0 at gmail dot com> 2.1.4-1pclos2012
- process

* Sun Jul 01 2012 ghostbunny <ghostbunny at gmx dot de> 2.1.4-1pclos2012
- 2.1.4

* Sun May 20 2012 Neal <nealbrks0 at gmail dot com> 2.1.3-1pclos2012
- process

* Sun May 20 2012 ghostbunny <ghostbunny at gmx dot de> 2.1.3-1pclos2012
- 2.1.3

* Tue Mar 13 2012 Neal <nealbrks0 at gmail dot com> 2.1.2-2pclos2012
- process

* Mon Mar 12 2012 leiche <meisssw01 at gmail.com> 2.1.2-2pclos2012
- add libmono0 as required

* Tue Mar 06 2012 Neal <nealbrks0 at gmail dot com> 2.1.2-1pclos2012
- process

* Tue Mar 06 2012 ghostbunny <ghostbunny at gmx dot de> 2.1.2-1pclos2012
- 2.1.2
- added %{_lib} macro for 64bit

* Thu Feb 09 2012 Neal <nealbrks0 at gmail dot com> 2.1.1-1pclos2012
- process

* Wed Feb 02 2012 ghostbunny <ghostbunny at gmx dot de> 2.1.1-1pclos2012
- 2.1.1
- added german summary and description
- added gnome-doc-utils, librsvg2-devel to build requires

* Sun Apr 24 2011 Texstar <texstar at gmail.com> 1.65-1pclos2011
- 1.65

* Mon Oct 26 2009 slick50 <lxgator@gmail.com> 1.12-1pclos2010
- initial pkg

